<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HoldingUser extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'description',
        'image',
        'user_type_id',
        'holding_url',
        'holding_button_name',
    ];

    public function userType()
    {
        return $this->hasOne(HoldingUsersType::class, 'id', 'user_type_id');
    }
}
